mocktail 0.3.0 icon indicating copy to clipboard operation
mocktail: ^0.3.0 copied to clipboard

A Dart mock library which simplifies mocking with null safety support and no manual mocks or code generation.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add mocktail

With Flutter:

 $ flutter pub add mocktail

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  mocktail: ^0.3.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:mocktail/mocktail.dart';
482
likes
130
pub points
98%
popularity

Publisher

unverified uploader

A Dart mock library which simplifies mocking with null safety support and no manual mocks or code generation.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

collection, matcher, test

More

Packages that depend on mocktail